Subject: Re: Problem using cygwin compiled DLL's in other Windows apps
From: Logan Bowers <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jan 2002 18:11:13 -0500

But if I do that, I lose the ability to make UNIX style system calls,
right?  My version of ld (from the standard Cygwin distro) only supports
i386pe, how do I install support for other emulations.  

Logan Bowers

Robert Collins wrote:
> 
> You'll need to compile and link with -mno-cygwin - winamp uses a
> different C runtime that Cygwin.
> 
> Rob
> ===
> ----- Original Message -----
> From: "Logan Bowers" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, January 09, 2002 9:08 AM
> Subject: Problem using cygwin compiled DLL's in other Windows apps
> 
> > Hello,
> >
> > I'm having a nasty problem that's got me posivively stumped.  I've
> > written a Winamp plugin (a DLL) using Cygwin.  Winamp properly loads
> the
> > DLL (at runtime), but whenever my DLL attempts to make a system call
> > (such as open()), Winamp crashes.  I have no idea how to trace this
> kind
> > of problem down.  Does anyone know what might be causing this or have
> > general advice on writing DLLs using cygwin that need to be loadable
> > into regular Windows apps?  I wrote a simple test program that uses
> > dlopen() to load the dll (and ran it from within the cygwin
> environment)
> > and it works without hitch.  If necessary, I can put the build script
> > and code online.
> >
> > Also, one other minor thing, I need to export a single function:
> > winampGetOutModule.  gcc, however, likes to mangle that into
> > winampGetOutModule__Fv.  The only way I could get it to export under
> the
> > proper name was to first compile to assembly and then use perl to get
> > rid of the __Fv.  Is there an easier way to do this?  Thanks.
> >
> >
> > Logan Bowers
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/